Document structure/tr: Difference between revisions

From FreeCAD Documentation
(Created page with "left Bir FreeCAD belgesi, sahnenizdeki tüm nesneleri içerir. Herhangi bir tezgah ile yapılan grupları ve nesneleri içerebilir. Bu nedenl...")
(Created page with "Belgenin içinde nesneler gruplara taşınabilir ve benzersiz bir ad alabilirler. Grupları, nesneleri ve nesne adlarını yönetmek, genellikle Ağaç görünümünden yapıl...")
Line 5: Line 5:
Bir FreeCAD belgesi, sahnenizdeki tüm nesneleri içerir. Herhangi bir tezgah ile yapılan grupları ve nesneleri içerebilir. Bu nedenle tezgahlar arasında geçiş yapabilir ve hala aynı belge üzerinde çalışabilirsiniz. Çalışmanızı kaydettiğinizde belge diske kaydedilecek olandır. Ayrıca FreeCAD'de aynı anda birkaç belge açabilir ve aynı belgenin birkaç görünümünü açabilirsiniz.
Bir FreeCAD belgesi, sahnenizdeki tüm nesneleri içerir. Herhangi bir tezgah ile yapılan grupları ve nesneleri içerebilir. Bu nedenle tezgahlar arasında geçiş yapabilir ve hala aynı belge üzerinde çalışabilirsiniz. Çalışmanızı kaydettiğinizde belge diske kaydedilecek olandır. Ayrıca FreeCAD'de aynı anda birkaç belge açabilir ve aynı belgenin birkaç görünümünü açabilirsiniz.


Belgenin içinde nesneler gruplara taşınabilir ve benzersiz bir ad alabilirler. Grupları, nesneleri ve nesne adlarını yönetmek, genellikle Ağaç görünümünden yapılır. Elbette, FreeCAD içinde yapılabilen her şeyi [[Python]] yorumlayıcıdan da yapabilirsiniz. Ağaç görünümünde, gruplar oluşturabilir, nesneleri gruplara taşıyabilir, nesneleri veya grupları silebilir, ağaç görünümünde veya bir nesneyi sağ tıklayarak, adlarını çift tıklatarak nesneleri yeniden adlandırabilir veya çalışılan tezgaha bağlı olarak diğer işlemleri yapabilirsiniz.
Inside the document, the objects can be moved into groups, and have a unique name. Managing groups, objects and object names is done mainly from the Tree view. It can also be done, of course, like everything in FreeCAD, from the [[Python]] interpreter. In the Tree view, you can create groups, move objects to groups, delete objects or groups, by right-clicking in the tree view or on an object, rename objects by double-clicking on their names, or possibly other operations, depending on the current workbench.


The objects inside a FreeCAD document can be of different types. Each workbench can create its own types of objects, for example the [[Mesh Workbench]] creates mesh objects, the [[Part Workbench]] create Part objects, the [[Draft Workbench]] also creates Part objects, etc.
The objects inside a FreeCAD document can be of different types. Each workbench can create its own types of objects, for example the [[Mesh Workbench]] creates mesh objects, the [[Part Workbench]] create Part objects, the [[Draft Workbench]] also creates Part objects, etc.

Revision as of 16:50, 24 December 2018


Bir FreeCAD belgesi, sahnenizdeki tüm nesneleri içerir. Herhangi bir tezgah ile yapılan grupları ve nesneleri içerebilir. Bu nedenle tezgahlar arasında geçiş yapabilir ve hala aynı belge üzerinde çalışabilirsiniz. Çalışmanızı kaydettiğinizde belge diske kaydedilecek olandır. Ayrıca FreeCAD'de aynı anda birkaç belge açabilir ve aynı belgenin birkaç görünümünü açabilirsiniz.

Belgenin içinde nesneler gruplara taşınabilir ve benzersiz bir ad alabilirler. Grupları, nesneleri ve nesne adlarını yönetmek, genellikle Ağaç görünümünden yapılır. Elbette, FreeCAD içinde yapılabilen her şeyi Python yorumlayıcıdan da yapabilirsiniz. Ağaç görünümünde, gruplar oluşturabilir, nesneleri gruplara taşıyabilir, nesneleri veya grupları silebilir, ağaç görünümünde veya bir nesneyi sağ tıklayarak, adlarını çift tıklatarak nesneleri yeniden adlandırabilir veya çalışılan tezgaha bağlı olarak diğer işlemleri yapabilirsiniz.

The objects inside a FreeCAD document can be of different types. Each workbench can create its own types of objects, for example the Mesh Workbench creates mesh objects, the Part Workbench create Part objects, the Draft Workbench also creates Part objects, etc.

If there is at least one document open in FreeCAD, there is always one and only one active document. That's the document that appears in the current 3D view, the document you are currently working on.

Application and User Interface

Like almost everything else in FreeCAD, the graphical user interface part (GUI) is separated from the base application part (App). This is also valid for documents. The documents are also made of two parts: the Application document, which contains our objects, and the View document, which contains the representation on screen of our objects.

Think of it as two spaces, where the objects are defined. Their constructive parameters (is it a cube? a cone? which size?) are stored in the Application document, while their graphical representation (is it drawn with black lines? with blue faces?) are stored in the View document. Why is that? Because FreeCAD can also be used without graphical interface, for example, inside other programs, and we must still be able to manipulate our objects, even if nothing is drawn on the screen.

Another thing that is contained inside the View document are 3D views. One document can have several views opened, so you can inspect your document from several points of view at the same time. Maybe you would want to see a top view and a front view of your work at the same time? Then, you will have two views of the same document, both stored in the View document. Creating new views or closing views can be done from the View menu or by right-clicking on a view tab.

Scripting

Documents can be easily created, accessed and modified from the Python interpreter. For example:

FreeCAD.ActiveDocument

Will return the current (active) document

FreeCAD.ActiveDocument.Blob

Would access an object called "Blob" inside your document

FreeCADGui.ActiveDocument

Will return the view document associated to the current document

FreeCADGui.ActiveDocument.Blob

Would access the graphical representation (view) part of our Blob object

FreeCADGui.ActiveDocument.ActiveView

Will return the current view